#include <xc.h>
#include "delays.h"
#include "xlcd.h"

/* Oscillator frequency  */
                     
#ifndef _XTAL_FREQ
 // Unless specified elsewhere, 4MHz system frequency is assumed
 #define _XTAL_FREQ 4000000
#endif


//*****************************************************************************
//LCD delay functions
//*****************************************************************************

void DelayFor18TCY( void ){             // 18 cycle delay
  Nop();  Nop();  Nop();  Nop();
  Nop();  Nop();  Nop();  Nop();
  Nop();  Nop();  Nop();  Nop();
  Nop();  Nop();
  return;
}
void DelayPORXLCD (void){
  Delay1KTCYx(15); // Delay of 15ms
                   // Cycles = (TimeDelay * Fosc) / 4
                   // Cycles = (15ms * 4MHz) / 4   = 15000                 
  return;
}
void DelayXLCD (void)
{
  Delay1KTCYx(5); // Delay of 5ms
                   // Cycles = (TimeDelay * Fosc) / 4
                   // Cycles = (5ms * 4MHz) / 4  = Cycles = 5000             
  return;
}
